| TagLib 1.13 |  |

Public Member Functions | List of all members
TagLib::FileRef::StreamTypeResolver Class Referenceabstract

`#include <fileref.h>`

Inheritance diagram for TagLib::FileRef::StreamTypeResolver:
[legend]
Collaboration diagram for TagLib::FileRef::StreamTypeResolver:
[legend]

## Public Member Functions
virtual File * | createFileFromStream (IOStream *stream, bool readAudioProperties=true, AudioProperties::ReadStyle audioPropertiesStyle=AudioProperties::Average) const =0
Public Member Functions inherited from TagLib::FileRef::FileTypeResolver
virtual File * | createFile (FileName fileName, bool readAudioProperties=true, AudioProperties::ReadStyle audioPropertiesStyle=AudioProperties::Average) const =0

## Member Function Documentation

## ◆ createFileFromStream()

virtual File * TagLib::FileRef::StreamTypeResolver::createFileFromStream | ( | IOStream * | stream,
|  | bool | readAudioProperties = `true`,
|  | AudioProperties::ReadStyle | audioPropertiesStyle = `AudioProperties::Average`
| ) |  | const
| pure virtual

The documentation for this class was generated from the following file:

- fileref.h